## dde-control-center 6.1.26

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,12 +16,12 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
-option(ENABLE_ASAN "Enable asan" OFF)
+set(ENABLE_ASAN OFF)
 option(BUILD_TESTING "UNIT test" OFF)
-set(BUILE_EXAMPLES OFF)
+set(BUILD_EXAMPLES OFF)
 
 # dcc-v23
-set(BUILD_DCC_OLD ON)
+set(BUILD_DCC_OLD OFF)
 if (BUILD_DCC_OLD)
     add_subdirectory(dcc-old)
 endif()
@@ -41,11 +41,9 @@
 # INFO:
 # plugins can be disabled and their options
 # plugin-authentication : DISABLE_AUTHENTICATION
-# plugin-update : DISABLE_UPDATE
 # plugin-keyboard: DISABLE_LANGUAGE to disable language panel
 
 option(DISABLE_AUTHENTICATION "disable build authentication plugins" OFF)
-option(DISABLE_UPDATE "disable build update plugins" OFF)
 option(DISABLE_LANGUAGE "disable lanugage settings in control center" OFF)
 option(USE_DEEPIN_ZONE "enable special timezone file on deepin" OFF)
 option(DISABLE_SOUND_ADVANCED "disable sound advanced settings" OFF)
@@ -60,8 +58,14 @@
     set(UNITTEST ON)
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Werror=return-type -fno-omit-frame-pointer -Wextra")
     if(ENABLE_ASAN)
-        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address")
-        add_definitions(-DUSE_ASAN)
+        if (CMAKE_CXX_COMPILER_ID MATCHES "GNU"  OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address -g")
+            set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=address -g")
+            set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fsanitize=address")
+            set(CMAKE_LINKER_FLAGS "${CMAKE_LINKER_FLAGS} -fsanitize=address")
+            set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -fsanitize=address")
+            add_definitions(-DUSE_ASAN)
+        endif()
     endif()
 else()
     # generate qm
@@ -97,6 +101,14 @@
 add_definitions(-DLOCALE_I18N_PATH="${LOCALE_I18N_PATH}")
 
 # 增加安全编译参数
+set(POSITION_INDEPENDENT_CODE True)
+set(THREADS_PREFER_PTHREAD_FLAG ON)
+find_package(Threads REQUIRED)
+string(REGEX REPLACE "-D_FORTIFY_SOURCE=[0-9]*" "" CMAKE_C_FLAGS "${CMAKE_C_FLAGS}" )
+string(REGEX REPLACE "-D_FORTIFY_SOURCE=[0-9]*" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}" )
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all -D_FORTIFY_SOURCE=3  -Wall -Wl,--as-need -Wl,-E")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all -D_FORTIFY_SOURCE=3  -Wall -Wl,--as-need -Wl,-E")
+set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -z relro -z now -z noexecstack")
 ADD_DEFINITIONS(${SAFE_COMPILER})
 
 # Install settings
@@ -194,6 +206,7 @@
 add_subdirectory(src/dde-control-center)
 #--------------------------plugins--------------------------
 add_subdirectory(src/plugin-accounts)
+add_subdirectory(src/plugin-authentication)
 add_subdirectory(src/plugin-sound)
 add_subdirectory(src/plugin-defaultapp)
 add_subdirectory(src/plugin-power)
@@ -206,12 +219,13 @@
 add_subdirectory(src/plugin-datetime)
 add_subdirectory(src/plugin-wacom)
 add_subdirectory(src/plugin-bluetooth)
-add_subdirectory(src/plugin-update)
 add_subdirectory(src/plugin-notification)
 add_subdirectory(src/plugin-deepinid)
 add_subdirectory(src/plugin-display)
-
-if(BUILE_EXAMPLES)
+add_subdirectory(src/plugin-privacy)
+add_subdirectory(src/plugin-dock)
+
+if(BUILD_EXAMPLES)
     add_subdirectory(examples)
 endif()
