=== debian/changelog ===
dde-control-center (6.1.26) unstable; urgency=medium

  * fix: ensure plain text format in KeySequenceDisplay
  * fix: Correct spelling errors
  * fix: improve sound device combo box dynamic sizing
  * fix: disable power management features in virtual environments
  * fix: adjust device page plugin order
  * fix: The application name contains the deepin character
  * fix: Fix the issue of names that are too long not being truncated.
  * fix: improve language label display in LangsChooserDialog
  * fix: Fix the display issue of the new creation failure interface.
  * fix: disable focus on shortcut operation buttons
  * fix: Modify custom time rules
  * fix(auth): adjust unreasonable UI

 -- xionglinlin <xionglinlin@uniontech.com>  Thu, 15 May 2025 22:05:47 +0800

dde-control-center (6.1.25) unstable; urgency=medium

  * fix: Modifying settings for copying mode issues
  * fix: Fix the hyperlink issue in the user interface
  * fix: Fix Bluetooth rename prompt error
  * fix: correct week start day format index
  * fix: Fix text style
  * fix: Fix the button text display issue
  * fix: hide play button background
  * fix: improve datetime format handling for non-Chinese locales
  * i18n: Updates for project Deepin Desktop Environment (#2244)
  * fix: preserve original language data in LanguageListModel

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 13 May 2025 16:28:40 +0800

dde-control-center (6.1.24) unstable; urgency=medium

  * fix: optimize slider behavior in sound control center
  * fix: improve country name translation in datetime module
  * fix: update mouse double-click speed slider labels
  * fix: Fixed the issue that hyperlinks did not have context menus
  * fix: Fixed the Bluetooth switch issue in airplane mode
  * fix: Fixed the lack of hover effect for list items
  * fix: Modify the height of the sidebar item
  * fix: improve time format handling in datetime model
  * feat:  adapt to WallpaperChanged signal
  * fix: Modify and check password strength issues
  * fix: Add keyboard_language generation script
  * i18n: Updates for project Deepin Desktop Environment (#2233)
  * fix: Fix layout errors
  * fix: update font in ShortcutSettingDialog
  * fix: Fixed the issue that the rename was empty
  * i18n: Updates for project Deepin Desktop Environment (#2229)

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 16:44:23 +0800

dde-control-center (6.1.23) unstable; urgency=medium

  * fix: Add new language translation
  * fix: The issue of abnormal mouse style is fixed
  * fix: clear filter wildcard in LangsChooserDialog when deactivated
  * fix: failed to retrieve search results for grand searching
  * fix: Fixed the issue that the test content was not cleared
  * fix: adjust icon size in LangAndFormat component
  * fix: update locale in currentTime()
  * fix: Fixed the error of opening the default path
  * i18n: Updates for project Deepin Desktop Environment (#2218)
  * fix: update system time zone check in addUserTimeZone method
  * fix: Fixed the issue that the error content did not disappear
  * fix: add setFirstDayOfWeek call in setCurrentFormat
  * fix: Fixed the background exception of mouse operation
  * fix: resolve display issues in TimeAndDate component
  * fix: Modify the width of the strong reminder box
  * fix: Update Chinese translation
  * fix: Fixed that the password was empty and could still be determined
  * feat: DccCheckIcon defaults to checked status
  * fix: Modify search term configuration
  * fix: enhance SearchableListViewPopup and TimeAndDate components
  * fix: Fixed the issue that Bluetooth was renamed to empty
  * fix: Fixed the error issue of changing the full name
  * fix: Fixed the issue of waiting for Bluetooth to be turned on and
    off
  * fix: The issue of setting the background of grub startup is fixed

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 29 Apr 2025 13:16:21 +0800

dde-control-center (6.1.22) unstable; urgency=medium

  * fix: Display window only when DBus calls ShowPage
  * fix: Update error messages for camera occupancy
  * i18n: Updates for project Deepin Desktop Environment (#2198)
  * fix: add stopSoundEffectPlayback method and integrate into SoundEffectsPage
  * fix: Fixed the Bluetooth list loading issue
  * i18n: Updates for project Deepin Desktop Environment (#2194)
  * fix: Can be renamed to a duplicate name
  * fix: update sound effects and animations for theme support
  * fix: Fixed the Bluetooth name display issue

 -- caixiangrong <caixiangrong@uniontech.com>  Tue, 22 Apr 2025 15:52:20 +0800

dde-control-center (6.1.21) unstable; urgency=medium

  * fix: Compatible with previous command parameters
  * fix: Return hierarchy error
  * fix: Return hierarchy error
  * fix: use system locale for date formatting
  * fix: Add translation language types
  * fix: use system locale for date formatting
  * fix: Added error sounds
  * fix: Modify the translation loading location
  * fix: The title is displayed incorrectly.
  * fix: Add secure compilation parameters
  * i18n: Updates for project Deepin Desktop Environment (#2171)
  * fix: improve timezone selection persistence in search
  * fix: The issue of user group editing is fixed
  * fix: always include switch-monitors in system shortcuts filter
  * fix: Fixed the Bluetooth checkbox clicking issue
  * fix: simplify NTP server validation and address assignment
  * fix: missing unchecked state for DccCheckIcon
  * fix: ScorllBar still hide when hovered
  * feat: Support the user agreement for UosMilitary
  * fix: copyright cannot display Chinese
  * fix: Add the computer name tooltip
  * i18n: Updates for project Deepin Desktop Environment (#2168)
  * fix: Fixed the issue of formula bar style
  * fix: The issue that the username is displayed too long is fixed
  * fix: The issue that the group title is not refreshed in time is fixed
  * fix: disable microphone input level slider interaction
  * i18n: Updates for project Deepin Desktop Environment (#2156)


