=== debian/control ===
--- 
+++ 
@@ -29,19 +29,13 @@
  qt6-wayland-dev-tools,
  treeland-protocols(>=0.4.1),
  systemd,
- qtbase5-dev,
- qtbase5-private-dev,
- qttools5-dev-tools,
- libdtkwidget-dev,
- libdtkcore-dev(>>5.6.18),
- libdtkcore5-bin,
- qtmultimedia5-dev,
  libdareader-dev,
  libdeepin-pw-check-dev,
- libpolkit-qt5-1-dev,
- libgsettings-qt-dev,
  libicu-dev,
  libwayland-dev,
+ libssl-dev,
+ libdde-shell-dev(> 1.99.19),
+ libdpkg-dev
 Standards-Version: 4.5.0
 Homepage: https://github.com/linuxdeepin/dde-control-center
 
@@ -55,6 +49,8 @@
  qml6-module-qtquick-dialogs,
  libdtk6declarative,
  netselect,
+Conflicts: dde-control-center-dock
+Replaces: dde-control-center-dock
 Description: New control center for Deepin Desktop Environment,
  Integrated control center with rich functions,Besides providing rich
  system setting items, the function level is simple, the logic is clear,
